Please make a backup of your project before following this guide.

https://www.dropbox.com/s/rvjtwj6cshndqjx/SGKV2_ShortWalls.zip?dl=0

Download the files linked below and unzip them. Then import both the SM_ShortWall_Wood_01 and the SM_ShortWall_Stone_01 using the settings shown in the image below, If you engine version has any additional options just leave them at default.

Once you have both meshes in the engine right click each one and select the Create Destructible Mesh option and when the destructible mesh editor opens copy the video below. Do this for both of the meshes you imported.

Then rename the stone destructible mesh to DM_ShortWall_Stone_01 and the wood destructible mesh to DM_ShortWall_Wood_01.

Next go to the SM_ShortWall_Wood_01 mesh and set its material slot to MI_WallWood_01 like the image below shows.

Then go to the SM_ShortWall_Stone_01 and change its material slot to MI_WallStone like the image below shows.

Now move the SM_ShortWall_Wood_01 to the Meshes/Static/WoodBuildParts folder.

Now move the SM_ShortWall_Stone_01 to the Meshes/Static/StoneBuildParts folder.

Then move both the DM_ShortWall_Stone_01 and DM_ShortWall_Wood_01 destructible meshes you created earlier to the Meshes/Destructible folder.

Next import the T_ShortWall_UI image thats included in the folder you downloaded. Once imported open the image and in the details panel find the Texture Group option in the Level Of Detail category and set it to UI and save.

Next go to the Blueprints/BuildParts/Wood folder and duplicate the BP_WoodWall blueprint and rename the duplicate to BP_WoodShortWall. Then go to the Blueprints/BuildParts/Stone and duplicate the BP_StoneWall and rename the duplicate to BP_StoneShortWall.

Next go to the BuildPartList and find and select the WoodWall row, then select the duplicate button on the top bar. Then rename the duplicate row to WoodShortWall. With the WoodShortWall row selected change the name setting to Wood Short Wall and change the Blueprint Class to BP_WoodShortWall. Then set the Build Menu Icon to the T_ShortWall_UI. You can also change the Item Cost for the short wall here if you want to.

Next go to the BuildPartList and find and select the StoneWall row, then select the duplicate button on the top bar. Then rename the duplicate row to StoneShortWall. With the StoneShortWall row selected change the name setting to Stone Short Wall and change the Blueprint Class to BP_StoneShortWall. Then set the Build Menu Icon to the T_ShortWall_UI. You can also change the Item Cost for the short wall here if you want to.

Then select the WoodShortWall row again and set its Upgrade Build Part row name to the StoneShortWall.

Next select the Save All button in the Content Browser and close the project.

Go to your project folder in the windows file explorer it should look similar to the image below.

Once there copy the Content folder from the folder you downloaded at the beginning of this guide. And then copy the video below.

NOTE – This will overwrite the page 2 of the build menu so if you have made changes to that bp and you dont want them to be removed then in the content folder from the download find the page two widget and delete it before copying the files to your project. You will then have to manually add the new short wall build part to your build menu. You only need to do this if you have made your own changes to the page 2 of the build menu! if you haven’t done anything to it just follow the video below.

Now you can open your project and you will find the short wall build part on page 2 of the build menu using the build plan. Remember short walls work like normal walls and can only be placed on wall grids.

If you have any issue please go back though the guide and make sure you have all the names and locations correct if you dont then it wont work.